/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.repository.bitacora;

import com.arrebol.apc.controller.mobile.repository.GenericRepository;
import com.arrebol.apc.model.system.logs.Bitacora;
import java.io.Serializable;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class BitacoraRepository extends GenericRepository implements Serializable {

    /**
     *
     * @param bitacora
     * @return
     */
    public boolean saveBitacora(Bitacora bitacora) {
        boolean success;
        try {
            success = save(bitacora);
        } catch (Exception e) {
            success = false;
            logger.error("saveBitacora", e);
        }
        return success;
    }

    final Logger logger = LogManager.getLogger(getClass());

}
